Skip to content
Get started

Delete Watchlist

DELETE/v1/watchlists/{watchlist_id}

Delete a watchlist and all its items

Path ParametersExpand Collapse
watchlist_id: string

Delete Watchlist

curl https://api.clearstreet.com/v1/watchlists/$WATCHLIST_ID \
    -X DELETE \
    -H "Authorization: Bearer $API_KEY"
{
  "data": null,
  "metadata": {
    "request_id": "cb824f1b-ea6e-4045-8169-9503be2b24d7"
  }
}
{
  "error": {
    "code": 404,
    "message": "Some requested entity was not found"
  },
  "metadata": {
    "request_id": "b8e5824d-391f-448c-a183-9d1582170a1c"
  }
}
Returns Examples
{
  "data": null,
  "metadata": {
    "request_id": "cb824f1b-ea6e-4045-8169-9503be2b24d7"
  }
}
{
  "error": {
    "code": 404,
    "message": "Some requested entity was not found"
  },
  "metadata": {
    "request_id": "b8e5824d-391f-448c-a183-9d1582170a1c"
  }
}